Project

General

Profile

Bug #4683

Blowfish and openssl 1.1.x

Added by zer0 c0nf 5 months ago. Updated 4 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Plugin
Target version:
Start date:
08/15/2019
Due date:
% Done:

0%

Estimated time:
Operative System:
All
Regression:
No

Description

Hello!

Thx for blowfish addon but its possible to make new version with latest openssl version (1.1.x) ?

Thank you!

Regards,

zc0nf

#1

Updated by Per Amundsen 5 months ago

What is wrong with the current openssl version? the only part of openssl the plugin uses in adiirc is the blowfish encryption and the diffie hellman key exchange. Actual ssl/tls connections in AdiIRC uses the microsoft ssl/tls libraries and are not related.

However if the https://github.com/flakes/mirc_fish_10 team ports it to openssl 1.1.x, adiirc will follow, otherwise it will stay at 1.0.2x.

#2

Updated by Per Amundsen 4 months ago

  • Category set to Plugin
  • Status changed from New to Resolved
  • Assignee set to Per Amundsen

fish_10 team has ported it so there is now experimental builds added to Blowfish.

#3

Updated by Per Amundsen 4 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF